Subject: [bug#78580] [PATCH v4] pull: allow filtering which channels to pull from the CLI

From: Sergio Pastor Pérez <[email-masked]>
Date: Sun, 25 May 2025 13:03:49 +0200

Sergey Trofimov <[email-masked]> writes:
> Hi, 
>
> Sergio Pastor Pérez <[email-masked]> writes:
>
>> Sergey Trofimov <[email-masked]> writes:
>>>> Once thing we could do, is to pin the Guix channel to the current commit
>>>> so it does not pull. I can try to implement that if you would like to
>>>> have that behaviour.
>>>
>>> It'd be nice, otherwise one would need to use `--commit=$(guix describe
>>> ...)` which might work, but is not that user friendly.
>>
>> Done[1] :)
>>
>> Please let me know if you have any more feedback!
>>
>> [1] https://issues.guix.gnu.org/78580#5
>
> Ok, after a test I see it does something unexpected. I have 4 channels
> in my system (guix/nonguix/sops/personal). After `guix pull nonguix`
> I've ended up with a generation containing only guix and nonguix, other
> channels were gone. If I get your intent right, then instead of
> `filter-channels` you need to implement `unpin-channels`, so that the
> new generation is built from the current channels and the ones specified
> by the user are updated.

Alright, now you should get the expected behaviour[1]. Please let me
know if you see any problem.

[1] https://issues.guix.gnu.org/78580#9